Bug 28234 - move hwclock to higher in resume script
move hwclock to higher in resume script
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-02-18 17:22 EST by Matthew Miller
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-24 17:51:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2001-02-18 17:22:45 EST
Currently, resetting the clock is one of the later things done in the
resume script. My system for some reason comes up 5 hours off initially
(some sort of timezone vs GMT issue -- bios is set to EST because I
dual-boot with that loser OS), but the problem would also happen with
laptops that don't update the time properly for other reasons: the initial
things right after resume (including, obviously, things called in the
resume script, like bringing up t gethe network) logged with the wrong time.

So, setting the clock correctly should be one of the first things done, if
not the very first.
Comment 1 Bill Nottingham 2001-02-19 00:40:10 EST
Your clock shouldn't jump if you rebuild your kernel without
Comment 2 Matthew Miller 2001-02-19 00:50:28 EST
Ah, yes, thanks. However, I've had trouble getting the kernel to rebuild
cleanly, and this isn't exactly a fast system (and it's currently the only one
I've got to test on...). Hopefully I'll have better luck with RC1.

It'd still be nice for the hwclock setting to be moved up, for cases where
something is broken.
Comment 3 Bernhard Rosenkraenzer 2002-02-26 12:44:56 EST
Moved to the 2nd thing (2nd only to getting the hard disks back up even with inherently 
broken BIOSes) in 3.0.2-6. 

Note You need to log in before you can comment on or make changes to this bug.